import main


class HelpCommand:
    def __init__(self, *args):
        self.help(*args)

    def help(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            helpMap = []
            for i in main.help.keys():
                helpMap.append("%s: %s" % (i, main.help[i]))
            info("\n".join(helpMap))
            return
        else:
            incUsage(None)
